VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   3090
   ClientLeft      =   60
   ClientTop       =   450
   ClientWidth     =   4680
   LinkTopic       =   "Form1"
   ScaleHeight     =   3090
   ScaleWidth      =   4680
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton Command1 
      Caption         =   "doDemo"
      Height          =   495
      Left            =   1800
      TabIndex        =   0
      Top             =   1320
      Width           =   1215
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' ATTENTION
' 1. please refer to DAQDriverProgrammer'sGuide_1_0_0.pdf (you can download it from our website)
'       to know what each function actually does and what each argument means
' 2. if you want to know why functions are declared this way, please refer to http://www.canaimasoft.com/f90vb/onlinemanuals/usermanual/TH_45.htm
' 3. please refer to DAQDriver.h for some important consts
Private Declare Function DAQ_Open Lib "DAQDriver.dll" Alias "_DAQ_Open@4" (ByRef pHandle As Long) As Long
Private Declare Function DAQ_SetADCMode Lib "DAQDriver.dll" Alias "_DAQ_SetADCMode@8" (ByVal handle As Long, ByVal nADCMode As Long) As Long
Private Declare Function DAQ_ReadCalibrator Lib "DAQDriver.dll" Alias "_DAQ_ReadCalibrator@20" (ByVal handle As Long, ByVal nADCMode As Long, ByVal nIndex As Long, ByRef dGain As Double, ByRef dOffset As Double) As Long
Private Declare Function DAQ_SetADCConf Lib "DAQDriver.dll" Alias "_DAQ_SetADCConf@16" (ByVal handle As Long, ByVal nIndex As Long, ByVal bOn As Long, ByVal nADCRange As Long) As Long
Private Declare Function DAQ_SetADCRate Lib "DAQDriver.dll" Alias "_DAQ_SetADCRate@8" (ByVal handle As Long, ByVal nADCRate As Long) As Long
Private Declare Function DAQ_ReadADC Lib "DAQDriver.dll" Alias "_DAQ_ReadADC@12" (ByVal handle As Long, ByVal nIndex As Long, ByRef dVolt As Double) As Long
Private Declare Function DAQ_SetCnterConf Lib "DAQDriver.dll" Alias "_DAQ_SetCnterConf@12" (ByVal handle As Long, ByVal nIndex As Long, ByVal bOn As Long) As Long
Private Declare Function DAQ_ReadADCEx Lib "DAQDriver.dll" Alias "_DAQ_ReadADCEx@28" (ByVal handle As Long, ByVal nIndex As Long, ByVal bTrigger As Long, ByVal nCnt As Long, ByVal nItvl As Long, ByRef outCnt As Long, ByRef arrVolts As Double) As Long
Private Declare Function DAQ_ReadADCs Lib "DAQDriver.dll" Alias "_DAQ_ReadADCs@12" (ByVal handle As Long, ByRef arrIndexes As Long, ByRef arrVolts As Double) As Long
Private Declare Function DAQ_ReadDgt Lib "DAQDriver.dll" Alias "_DAQ_ReadDgt@12" (ByVal handle As Long, ByVal nIndex As Long, ByRef nStatus As Long) As Long
Private Declare Function DAQ_ReadDgts Lib "DAQDriver.dll" Alias "_DAQ_ReadDgts@12" (ByVal handle As Long, ByRef arrIndexes As Long, ByRef arrStatuses As Long) As Long
Private Declare Function DAQ_ReadCnter Lib "DAQDriver.dll" Alias "_DAQ_ReadCnter@12" (ByVal handle As Long, ByVal nIndex As Long, ByRef nCounted As Long) As Long
Private Declare Function DAQ_ReadCnters Lib "DAQDriver.dll" Alias "_DAQ_ReadCnters@12" (ByVal handle As Long, ByRef arrIndexes As Long, ByRef arrCounteds As Long) As Long
Private Declare Function DAQ_ReadAll Lib "DAQDriver.dll" Alias "_DAQ_ReadAll@28" (ByVal handle As Long, ByRef arrADCIndexes As Long, ByRef arrVolts As Double, ByRef arrDgtIndexes As Long, ByRef arrStatuses As Long, ByRef arrCtrIndexes As Long, ByRef arrCounteds As Long) As Long
Private Declare Function DAQ_WriteDACVolt Lib "DAQDriver.dll" Alias "_DAQ_WriteDACVolt@12" (ByVal handle As Long, ByVal nIndex As Long, ByVal nDACValue As Long) As Long
Private Declare Function DAQ_WriteDACWave Lib "DAQDriver.dll" Alias "_DAQ_WriteDACWave@16" (ByVal handle As Long, ByVal nIndex As Long, ByVal nTtvl As Long, ByVal nDACWave As Long) As Long
Private Declare Function DAQ_WriteDgtStatus Lib "DAQDriver.dll" Alias "_DAQ_WriteDgtStatus@12" (ByVal handle As Long, ByVal nIndex As Long, ByVal nStatus As Long) As Long
Private Declare Function DAQ_WriteDgtPWM Lib "DAQDriver.dll" Alias "_DAQ_WriteDgtPWM@16" (ByVal handle As Long, ByVal nIndex As Long, ByVal nItvl As Long, ByVal nDutyRatio As Long) As Long
Private Declare Function DAQ_Close Lib "DAQDriver.dll" Alias "_DAQ_Close@4" (ByVal handle As Long) As Long

Const ANGOUT_NUM As Long = 4
' max voltage, for MF126 it's 2.5V
Const MAX_DAC_VALUE As Long = 65535

Private Sub doDemo()
    Dim hdl As Long
    Dim status As Long
    
    hdl = 0
    status = DAQ_Open(hdl)
    If (0 <> status) Then
        MsgBox "Open Failed"
    Else
        MsgBox "Open Succeeded"
        ' now other functions can be invoked
        
        ' channel indices are zero-based
        Dim nChlId As Long
        ' set all analog output channels to 2.5V
        For nChlId = 0 To (ANGOUT_NUM - 1)
            If (0 <> DAQ_WriteDACVolt(hdl, nChlId, MAX_DAC_VALUE)) Then
                MsgBox "DAQ_WriteDACVolt failed."
            Else
                MsgBox "DAQ_WriteDACVolt succeeded."
            End If
        Next nChlId

        status = DAQ_Close(hdl)
        If (0 <> status) Then
            MsgBox "Close Failed"
        Else
            MsgBox "Close Succeeded"
        End If
    End If
End Sub

Private Sub Command1_Click()
    doDemo
End Sub
